#!/bin/bash

KERN=`uname -r`
HDA_PATH="/lib/modules/${KERN}/kernel/sound/pci/hda"
HDA_CODEC="snd-hda-codec.ko"
HDA_INTEL="snd-hda-intel.ko"
MOD_PATH="Debian_4.0"


if [ "${KERN}" != "2.6.18-4-686" ] ; then
	echo "Error: This package is only for the default kernel of Debian 4.0."
	exit 0
else
	echo "Backup orignal HD audio drivers."
	mv ${HDA_PATH}/${HDA_CODEC} ${HDA_PATH}/${HDA_CODEC}.hide
	mv ${HDA_PATH}/${HDA_INTEL} ${HDA_PATH}/${HDA_INTEL}.hide
	echo "Install VIA HD audio drivers."
	cp ${MOD_PATH}/${HDA_CODEC} ${HDA_PATH}/${HDA_CODEC}	
	cp ${MOD_PATH}/${HDA_INTEL} ${HDA_PATH}/${HDA_INTEL}
	depmod -a
	echo "Installation completes !!"
	echo "Please reload the snd-hda-intel."
fi 

